using System.Threading.Tasks;
using GxPress.Common.Page;
using GxPress.Repository.Interface.TrackLog;
using GxPress.Request.TrackLog;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;

namespace GxPress.Api.AdminControllers
{
    /// <summary>
    /// 系统日志
    /// </summary>
    [Route("api/admin/log")]
    [ApiController]
    [Authorize]

    public class AdminTrackLogController : Controller
    {
        private readonly ITrackLogRepository repository;
        public AdminTrackLogController(ITrackLogRepository repository)
        {
            this.repository = repository;
        }
        /// <summary>
        /// 列表
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        [HttpPost("list")]
        public async Task<PagedList<Entity.tede2.TrackLog.TrackLog>> GetAllAsync(TrackLogSearchRequest request)
        {
            return await repository.GetAllAsync(request);
        }
    }
}